﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sigcat.Client.Model
{

    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Struct)]
    public class RepositoryAttribute : Attribute
    {

        public string EntityName { get; set; }
        public string EntitiesName { get; set; }

        public RepositoryAttribute(string EntityName, string EntitiesName)
        {
            this.EntityName = EntityName;
            this.EntitiesName = EntitiesName;
        }

    }

}
