﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sigcat.Client.Views.WpfWindows.Resources
{
    /// <summary>
    /// Lógica de interacción para LogoBar.xaml
    /// </summary>
    public partial class LogoBar : UserControl
    {
        public LogoBar()
        {
            InitializeComponent();
        }

        private void LogoBarCtrl_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            double size = e.NewSize.Height;
            double maxWidth = e.NewSize.Width;
            Q1.Margin = new Thickness(size, 0, 0, 0);
            Q1.Visibility = Q1.Margin.Left + Q1.Width > maxWidth ? Visibility.Collapsed : Visibility.Visible;
            Q2.Margin = new Thickness(size * 3, 0, 0, 0);
            Q2.Visibility = Q2.Margin.Left + Q2.Width > maxWidth ? Visibility.Collapsed : Visibility.Visible;
            Q3.Margin = new Thickness(size * 5, 0, 0, 0);
            Q3.Visibility = Q3.Margin.Left + Q3.Width > maxWidth ? Visibility.Collapsed : Visibility.Visible;
            Q4.Margin = new Thickness(size * 7, 0, 0, 0);
            Q4.Visibility = Q4.Margin.Left + Q4.Width > maxWidth ? Visibility.Collapsed : Visibility.Visible;
            LineBar.Margin = new Thickness(size * 9, 0, 0, 0);
            if (LineBar.Margin.Left < maxWidth)
            {
                LineBar.Width = e.NewSize.Width - LineBar.Margin.Left;
                LineBar.Visibility = Visibility.Visible;
            }
            else
                LineBar.Visibility = Visibility.Collapsed;
        }
    }
}
