﻿using fgxavi.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Sigcat.Client.Model.Directorate
{

    public class DesignRepositoryDirectorate : IRepository<DirectorateModel>
    {
        public Task<DirectorateModel> Read(int id)
        {
            return Task<DirectorateModel>.FromResult(Browse().Result.ElementAt(0));
        }

        public Task<IEnumerable<DirectorateModel>> Browse()
        {
            string[] directorateNames = new string[]
            {
                "Direcció General de la Policia",
                "Direcció General d'Administració de Seguretat",
                "Direcció General de Prevenció, Extinció d'Incendis i Salvaments",
                "Direcció General de Protecció Civil"
            };
            // Crea les direccions generals
            IList<DirectorateModel> result = new List<DirectorateModel>();
            int id = 1;
            foreach (string name in directorateNames)
                result.Add(new DirectorateModel()
                    {
                        DirectorateId = id++,
                        Name = name,
                        Comments = name
                    });
            return Task<DirectorateModel>.FromResult(result.AsEnumerable());
        }

        public Task<IEnumerable<DirectorateModel>> SearchFor(System.Linq.Expressions.Expression<Func<DirectorateModel, bool>> predicate)
        {
            throw new NotImplementedException();
        }

        public Task<ChangeResult<DirectorateModel>> Add(DirectorateModel entity)
        {
            throw new NotImplementedException();
        }

        public Task<ChangeResult<DirectorateModel>> Edit(DirectorateModel entity)
        {
            throw new NotImplementedException();
        }

        public Task<ChangeResult<DirectorateModel>> Delete(DirectorateModel entity)
        {
            throw new NotImplementedException();
        }


        public Task<ChangeResult<ModelBase>> SubmitChange(DirectorateModel entity)
        {
            throw new NotImplementedException();
        }
    }

    //public class DesignDirectoratesModel : DirectoratesModel
    //{
    //    public DesignDirectoratesModel() : base()
    //    {
    //        DesignRepositoryDirectorate drd = new DesignRepositoryDirectorate();
    //        IEnumerable<DirectorateModel> list = drd.Browse().Result;
    //        foreach (DirectorateModel dm in list)
    //            Add(dm);
    //    }
    //}

    //public class DesignDirectorateModel : DirectorateModel
    //{
    //    public DesignDirectorateModel()
    //    {
    //        DesignRepositoryDirectorate drd = new DesignRepositoryDirectorate();
    //        DirectorateModel dm = drd.GetById(0).Result;
    //        Update(dm);
    //    }
    //}

}
