﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sigcat.Client.Model
{

    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Struct)]
    public class EntityAttribute : Attribute
    {

        public string Name { get; set; }
        public string Namespace { get; set; }

        public EntityAttribute(string Name, string Namespace = "Sigcat.Server.Model")
        {
            this.Name = Name;
            this.Namespace = Namespace;
        }

    }

}
