﻿using Newtonsoft.Json.Linq;
using System.Net.Http;
using System.Threading.Tasks;

namespace Sigcat.Client.Model
{
    public interface IDataService
    {
        Task<T> GetJsonObject<T>(string httpGetUrl);
        Task<string> GetResponse(string httpGetUrl);
        Task<string> PostJsonRequest(string httpPostUri, string json);
        Task<string> PostResponse(string httpPostUri, StringContent content);
    }
}
