﻿using fgxavi.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sigcat.Client.Model.Users
{
    public class User : ViewModelBase
    {

        #region Property DirectorateId

        /// <summary>
        /// Membre privat de la propietat <see cref="DirectorateId" />.
        /// </summary>
        private int _DirectorateId = -1;

        /// <summary>
        /// Estableix i obté la propietat <see cref="DirectorateId" />.
        /// Fa ús del mètode <see cref="SetField"/> per establir la propietat.
        /// </summary>
        public int DirectorateId
        {
            get { return _DirectorateId; }
            set { SetField(ref _DirectorateId, value); }
        }

        #endregion

        #region Property UserName

        /// <summary>
        /// Membre privat de la propietat <see cref="UserName" />.
        /// </summary>
        private string _UserName = null;

        /// <summary>
        /// Estableix i obté la propietat <see cref="UserName" />.
        /// Fa ús del mètode <see cref="SetField"/> per establir la propietat.
        /// </summary>
        public string UserName
        {
            get { return _UserName; }
            set { SetField(ref _UserName, value); }
        }

        #endregion

        #region Property IsPersistent

        /// <summary>
        /// Membre privat de la propietat <see cref="IsPersistent" />.
        /// </summary>
        private bool _IsPersistent = false;

        /// <summary>
        /// Estableix i obté la propietat <see cref="IsPersistent" />.
        /// Fa ús del mètode <see cref="SetField"/> per establir la propietat.
        /// </summary>
        public bool IsPersistent
        {
            get { return _IsPersistent; }
            set { SetField(ref _IsPersistent, value); }
        }

        #endregion

        #region Property Password

        /// <summary>
        /// Membre privat de la propietat <see cref="Password" />.
        /// </summary>
        private Func<string> _Password = null;

        /// <summary>
        /// Estableix i obté la propietat <see cref="Password" />.
        /// Fa ús del mètode <see cref="SetField"/> per establir la propietat.
        /// </summary>
        public Func<string> Password
        {
            get { return _Password; }
            set { SetField(ref _Password, value); }
        }

        #endregion

    }

}
