﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sigcat.Client.Views.WpfWindows.Resources
{
    /// <summary>
    /// Lógica de interacción para Catalunya_vegueries.xaml
    /// </summary>
    public partial class LogoMap : UserControl
    {
        public LogoMap()
        {
            InitializeComponent();
        }

        public Brush BrushGirona
        {
            get { return (Brush)GetValue(BrushGironaProperty); }
            set { SetValue(BrushGironaProperty, value); }
        }

        // Using a DependencyProperty as the backing store for BrushGirona.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty BrushGironaProperty =
            DependencyProperty.Register("BrushGirona", typeof(Brush), typeof(LogoMap), new PropertyMetadata(new SolidColorBrush(Color.FromRgb(255, 198, 41))));

        public Brush BrushPirineu
        {
            get { return (Brush)GetValue(BrushPirineuProperty); }
            set { SetValue(BrushPirineuProperty, value); }
        }

        // Using a DependencyProperty as the backing store for BrushPirineu.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty BrushPirineuProperty =
            DependencyProperty.Register("BrushPirineu", typeof(Brush), typeof(LogoMap), new PropertyMetadata(new SolidColorBrush(Color.FromRgb(0, 212, 217))));

        public Brush BrushCentral
        {
            get { return (Brush)GetValue(BrushCentralProperty); }
            set { SetValue(BrushCentralProperty, value); }
        }

        // Using a DependencyProperty as the backing store for BrushCentral.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty BrushCentralProperty =
            DependencyProperty.Register("BrushCentral", typeof(Brush), typeof(LogoMap), new PropertyMetadata(new SolidColorBrush(Color.FromRgb(87, 70, 204))));

        public Brush BrushBarcelona
        {
            get { return (Brush)GetValue(BrushBarcelonaProperty); }
            set { SetValue(BrushBarcelonaProperty, value); }
        }

        // Using a DependencyProperty as the backing store for BrushBarcelona.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty BrushBarcelonaProperty =
            DependencyProperty.Register("BrushBarcelona", typeof(Brush), typeof(LogoMap), new PropertyMetadata(new SolidColorBrush(Color.FromRgb(255, 100, 79))));

        public Brush BrushLleida
        {
            get { return (Brush)GetValue(BrushLleidaProperty); }
            set { SetValue(BrushLleidaProperty, value); }
        }

        // Using a DependencyProperty as the backing store for BrushLleida.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty BrushLleidaProperty =
            DependencyProperty.Register("BrushLleida", typeof(Brush), typeof(LogoMap), new PropertyMetadata(new SolidColorBrush(Color.FromRgb(243, 115, 243))));

        public Brush BrushTarragona
        {
            get { return (Brush)GetValue(BrushTarragonaProperty); }
            set { SetValue(BrushTarragonaProperty, value); }
        }

        // Using a DependencyProperty as the backing store for BrushTarragona.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty BrushTarragonaProperty =
            DependencyProperty.Register("BrushTarragona", typeof(Brush), typeof(LogoMap), new PropertyMetadata(new SolidColorBrush(Color.FromRgb(189, 232, 126))));

        public Brush BrushTortosa
        {
            get { return (Brush)GetValue(TortosaProperty); }
            set { SetValue(TortosaProperty, value); }
        }

        // Using a DependencyProperty as the backing store for Tortosa.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty TortosaProperty =
            DependencyProperty.Register("BrushTortosa", typeof(Brush), typeof(LogoMap), new PropertyMetadata(new SolidColorBrush(Color.FromRgb(217, 161, 59))));

    }
}
